using EVCB_OCPP.Packet.Messages.FirmwareManagement;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.FirmwareManagement
{
    public  class DiagnosticsStatusNotificationFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.DiagnosticsStatusNotification.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(DiagnosticsStatusNotificationConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(DiagnosticsStatusNotificationRequest);
        }
    }
}
